<?php
/**
 * Google Calendar
 * 
 * Google カレンダー埋め込み支援ツール
 */
require_once 'Platy/Widget.php';

class Platy_Widget_GoogleCalendar extends Platy_Widget
{
    public function install() { return true; }
    public function uninstall() { return true; }

    public function getSummary()
    {
        return 'GoogleCalendarの表示';
    }
    
    public function show()
    {
        global $db;
        
        $a = array('title' => '', 'icons' => '', 'main' => '', 'footer' => '');
        $a['title'] = 'カレンダー';
        
        ob_start();
?>
<iframe src="http://www.google.com/calendar/embed?showTitle=0&amp;
height=240&amp;wkst=1&amp;bgcolor=%23FFFFFF&amp;
src=09s176uvq26pup931j18fha4ng%40group.calendar.google.com&amp;
color=%23A32929" style=" border-width:0 " 
width="160" height="240" 
frameborder="0" scrolling="no">
</iframe>
<?php
        $a['main'] = ob_get_contents();
        ob_end_clean();
        
        return $a;
    }
}
?>